m6502(6)

NAME
m6502 - 6502 Microprocessor Emulator

SYNOPSIS
m6502 [--display host:display.screen] [--foreground color] [--background color] [--window] [--root] [--window-id number][--mono] [--install] [--visual visual] [--file filename] [-displaytime seconds] [--fps]

DESCRIPTION
The m6502 screensaver emulates a 6502 microprocessor. The family of 6502 chips were used throughout the 70's and 80's in machines such as the Atari 2600, Commodore PET, VIC20 and C64, Apple ][, and the NES. Some example programs are included and it can also read in an assembly file as input.

OPTIONS
m6502 accepts the following options:

--window
    Draw on a newly-created window. This is the default.

--root
    Draw on the root window.

--window-id number
    Draw on the specified window.

--mono
    If on a color display, pretend we're on a monochrome display.

--install
    Install a private colormap for the window.

--visual visual
    Specify which visual to use. Legal values are the name of a visual class, or the id number (decimal or hex) of a specific visual.

--file filename
    Lets you load an assembly file.

--displaytime seconds
    Lets you set the number of seconds to display each program. The default is 60.

--fps
    Display the current frame rate and CPU load.

ENVIRONMENT

DISPLAY
    to get the default host and display number.

XENVIRONMENT
    to get the name of a resource file that overrides the global resources stored in the RESOURCE_MANAGER property.

XSCREENSAVER_WINDOW
    The window ID to use with --root.

X RESOURCES
Notable X resources supported include the following which correspond to standard TV controls: analogTVTint, analogTVColor, analogTVBrightness, and analogTVContrast. They range from 0 to 100, except for tint which is an angle between -180 and +180.

TRADEMARKS
I'm sure some of the programs contain trademarks.

SEE ALSO
X(1), xscreensaver(1), xanalogtv(6), apple2(6)

COPYRIGHT
Original Javascript Version by Stian Soreng - www.6502asm.com; 2006. Ported to XScreenSaver by Jeremy English; 2007.

Permission to use, copy, modify, distribute, and sell this software and its documentation for any purpose is hereby granted without fee, provided that the above copyright notice appear in all copies and that both that copyright notice and this permission notice appear in supporting documentation. No representations are made about the suitability of this software for any purpose. It is provided "as is" without express or implied warranty.

AUTHOR
Original Javascript Version by Stian Soreng - www.6502asm.com; 2006. Ported to XScreenSaver by Jeremy English; 2007.